AvalonLogSystem (Velocity 1.7 API)
Keywords: org.apache.velocity.runtime.log.AvalonLogSystem class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime.log
Class AvalonLogSystem

    java.lang.Object
      org.apache.velocity.runtime.log.AvalonLogChute
          org.apache.velocity.runtime.log.AvalonLogSystem

All Implemented Interfaces:
  LogChute, LogSystem

public class AvalonLogSystem
extends AvalonLogChute
implements LogSystem

Implementation of a Avalon logger.

Version:
  $Id: AvalonLogSystem.java 463298 2006-10-12 16:10:32Z henning $
Author:
  Jon S. Stevens, Geir Magnusson Jr.

Field Summary

Fields inherited from class org.apache.velocity.runtime.log.AvalonLogChute
`AVALON_LOGGER, AVALON_LOGGER_FORMAT, AVALON_LOGGER_LEVEL`

Fields inherited from interface org.apache.velocity.runtime.log.LogSystem
`DEBUG_ID, DEBUG_ON, ERROR_ID, INFO_ID, WARN_ID`

Fields inherited from interface org.apache.velocity.runtime.log.LogChute
`DEBUG_ID, DEBUG_PREFIX, ERROR_ID, ERROR_PREFIX, INFO_ID, INFO_PREFIX, TRACE_ID, TRACE_PREFIX, WARN_ID, WARN_PREFIX`

Constructor Summary
`AvalonLogSystem()`

Method Summary
`void` | `logVelocityMessage(int level, String message)` Deprecated. Use log(level, message).

Methods inherited from class org.apache.velocity.runtime.log.AvalonLogChute
`finalize, init, init, isLevelEnabled, log, log, shutdown`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.velocity.runtime.log.LogSystem
`init`

Constructor Detail

### AvalonLogSystem

    public AvalonLogSystem()

Method Detail

### logVelocityMessage

    public void logVelocityMessage(int level,
                                   String message)

  Deprecated. Use log(level, message).

  Specified by:
    `logVelocityMessage` in interface `LogSystem`
  Parameters:
    `level` -
    `message` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Apache Software Foundation. All Rights Reserved.